MASON_METHYLATION(1)

NAME
mason_methylation - Methylation Level Simulation

SYNOPSIS
mason_methylation [OPTIONS] -i IN.fa -o OUT.fa

DESCRIPTION
Simulate methylation levels for IN.fa and write them to OUT.fa.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

-q, --quiet
    Low verbosity.

-v, --verbose
    Higher verbosity.

-vv, --very-verbose
    Highest verbosity.

--seed INTEGER
    Seed for RNG. Default: 0.

-i, --in INPUT_FILE
    Input FASTA file with genome. Valid filetypes are: .sam[.*], .raw[.*], .gbk[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], .embl[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

-o, --out INPUT_FILE
    Input FASTA file with genome. Valid filetypes are: .sam[.*], .raw[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .faa[.*], .fa[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

  Methylation Level Simulation:

--methylation-levels
    Enable methylation level simulation.

--meth-cg-mu DOUBLE
    Median of beta distribution for methylation level of CpG loci. In range [0..1]. Default: 0.6.

--meth-cg-sigma DOUBLE
    Standard deviation of beta distribution for methylation level of CpG loci. In range [0..1]. Default: 0.03.

--meth-chg-mu DOUBLE
    Median of beta distribution for methylation level of CHG loci. In range [0..1]. Default: 0.08.

--meth-chg-sigma DOUBLE
    Standard deviation of beta distribution for methylation level of CHG loci. In range [0..1]. Default: 0.008.

--meth-chh-mu DOUBLE
    Median of beta distribution for methylation level of CHH loci. In range [0..1]. Default: 0.05.

--meth-chh-sigma DOUBLE
    Standard deviation of beta distribution for methylation level of CHH loci. In range [0..1]. Default: 0.005.